
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

class MyErrorHandler implements ErrorHandler {
  public void warning(SAXParseException e) throws SAXException {
    System.out.println("Attention : ");
    printInfo(e);
    System.exit(0);    
  }

  public void error(SAXParseException e) throws SAXException {
    System.out.println("Erreur : ");
    printInfo(e);
    System.exit(0);
  }

  public void fatalError(SAXParseException e) throws SAXException {
    System.out.println("Erreur fatale : ");
    printInfo(e);
    System.exit(0);
  }

  private void printInfo(SAXParseException e) {
    System.out.println("   Public ID :         " + e.getPublicId());
    System.out.println("   System ID :         " + e.getSystemId());
    System.out.println("   Numero de ligne :   " + e.getLineNumber());
    System.out.println("   Numero de colonne : " + e.getColumnNumber());
    System.out.println("   Message :           " + e.getMessage());
    System.exit(0);
  }
}
